/*overscroll-behavior: none; - дозволяє уникнути прокрутки батьківського блоку при досягненні кінця прокрутки поточного елемента*/
/*column-fill: balance; - вирівнює кількість контенту в стовпцях*/
/*user-select: all; - дозволяє при кліку по елементу виділити весь текст всередині нього*/
/*white-space: pre аналогічно тегу <pre> - зберігає форматування (пробіли, переноси тощо)*/
/*hyphens: auto - визначає, чи будуть використовуватися переноси рядків, вимагає встановлення мови через тег lang="en"*/
body {
    text-align: center;
    align-items: center;
    margin: 0 auto;
    padding: 24px;
}
h1  {
    /*text-decoration: underline 3px solid tomato;*/

    text-decoration: underline 3px solid tomato;
    text-underline-offset: 16px;

    /*text-decoration-line: underline line-through;*/
}
.content {
    max-width: 100px;
}
.content a:not([class]){
    text-decoration: none;
    color: currentColor;

    background-image: linear-gradient(#ff7eb2 0, #ff7eb2);
    background-size: 100% .35em;
    background-position: left bottom;
    background-repeat: no-repeat;

    padding-inline: 0.25em;
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
}
.page-section {
    padding-top: 9rem;
}
.page-section__heading {
/*Коректне значення відступу буде розраховуватися як сума висоти блоку з навігацією (75px) та внутрішнього відступу між верхньою межею розділу та заголовком (9rem). За сумування в CSS відповідає функція calc(). Додамо її до заголовку разом із властивістю scroll-margin-top.*/
    scroll-margin-top: calc(9rem + 75px);
}
span::before {
    content: 'content that needs a delay';
    margin-top: 25px;
    font-size: 21px;
    text-align: center;
    animation: fadein 4s;
}

@keyframes fadein {
    from {
        opacity:0;
    }
    to {
        opacity:1;
    }
}
